## org.hibernate.service.internal
Class SessionFactoryServiceRegistryImpl

    java.lang.Object
      org.hibernate.service.internal.AbstractServiceRegistryImpl
          org.hibernate.service.internal.SessionFactoryServiceRegistryImpl

All Implemented Interfaces:
  ServiceRegistry, ServiceBinding.ServiceLifecycleOwner, ServiceRegistryImplementor, SessionFactoryServiceRegistry

    public class SessionFactoryServiceRegistryImpl

extends AbstractServiceRegistryImpl
implements SessionFactoryServiceRegistry

Constructor Summary
`SessionFactoryServiceRegistryImpl(ServiceRegistryImplementor parent, SessionFactoryImplementor sessionFactory, Configuration configuration)`
`SessionFactoryServiceRegistryImpl(ServiceRegistryImplementor parent, SessionFactoryImplementor sessionFactory, MetadataImplementor metadata)`

Method Summary

`

`<R extends Service> void`

`

`configureService(ServiceBinding<R> serviceBinding)`

`

`<R extends Service> R`

`

`initiateService(ServiceInitiator<R> serviceInitiator)`

Methods inherited from class org.hibernate.service.internal.AbstractServiceRegistryImpl
`createService, createServiceBinding, createServiceBinding, destroy, getParentServiceRegistry, getService, injectDependencies, locateServiceBinding, locateServiceBinding, registerService, startService, stopService`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.service.spi.ServiceRegistryImplementor
`destroy, locateServiceBinding`

Methods inherited from interface org.hibernate.service.ServiceRegistry
`getParentServiceRegistry, getService`

Constructor Detail

### SessionFactoryServiceRegistryImpl

    public SessionFactoryServiceRegistryImpl(ServiceRegistryImplementor parent,
                                             SessionFactoryImplementor sessionFactory,
                                             Configuration configuration)

### SessionFactoryServiceRegistryImpl

    public SessionFactoryServiceRegistryImpl(ServiceRegistryImplementor parent,
                                             SessionFactoryImplementor sessionFactory,
                                             MetadataImplementor metadata)

Method Detail

### initiateService

    public <R extends Service> R initiateService(ServiceInitiator<R> serviceInitiator)

  Specified by:
    `initiateService` in interface `ServiceBinding.ServiceLifecycleOwner`

### configureService

    public <R extends Service> void configureService(ServiceBinding<R> serviceBinding)

  Specified by:
    `configureService` in interface `ServiceBinding.ServiceLifecycleOwner`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.